Create a virtual account for a wallet

Permissions required: Virtual accounts

Create a fiat virtual account for the wallet identified by walletId, linked to the customer identified by customerId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

An ID uniquely identifying an Anchorage Digital wallet

Body Params
string
required

The ID of the customer this virtual account is created for.

string
required
length ≤ 128

A client-provided unique ID for idempotent requests

Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json